Subject: RE: [mobile-ip] MD text

From: <[email-masked]>
Date: Wed, 14 May 2003 22:46:09 -0500

> Dear Gabriel 
> 
> > Thomas and Erik are handling the MD related working group, 
> but I have
> > no further info on that. And as you said, this is not considered
> > a "mobility" working group in that this is more generally
> > applicable.
> 
> I agree that MD work is more general but think that it affects 
> 'mobility' the most. Doesn't M in MD represent 'Movement'? :-).  
> 
> I am afraid that currently there is not one default MD method 
> on which MIPv6 implementators can safely fall back on. 
> 
> In brief
> 1) Eager cell switching may result in excessive & unnecessary 
> handoff.  
> 2) (pseudo) NUD and Router Discovery will take more than 3 secs, 
>      which is likely disrupt on-going TCP session.
> 3) NS probe, timeout and Router Discovery seems promising. But 
>      it still needs more investigation.  
> 
> I am worried that this defect will delay MIPv6 deployment. 

Lets get MIPv6 completed first. This worry borders on paranoia.

>I 
> will be more worried if we don't have a definite plan to make up 
> this defect either. (I had assumed that mobileip WG (or its progeny) 
> would publish a draft on default MD method after MIPv6 work.) 
>  
> IMHO, for quick MIPv6 deployment, quick MD method should 
> be done quickly. As Jari wrote, people are already working on 
> drafts. I hope we move these works quickly, whether in mobileip 
> WG or in other related WG. 

For quick MIPv6 deployment or for that matter any MIPv6 deployment
we need to get the specs to Proposed standard ASAP. The absence of a
fine-tuned movement detection solution will not be the impediment to
deployment at this stage.

In general there is a need to tackle the MD problem and as long as
it is taken up in a WG that is more focused on the generic problem
the result can be applied to MIPv6 when completed.

-Basavaraj

> Best regards
> JinHyeock.